function vals = logit(V)
%
% Logistic function
%  val = logit(V)
%
% Input:
%  V - Values [n x ncls-1]
%
% Output:
%  val - Logistic function outputs [n x ncls]
%
[n,ncls] = size(V);
ncls   = ncls + 1;
maxcut = log(realmax) - log(ncls);
mincut = log(realmin);
vals   = max(min(V, maxcut),mincut);
vals   = [exp(vals), ones(n,1)];
vals   = vals./repmat(sum(vals, 2),1,ncls);
vals(vals<realmin) = realmin;
